Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.api
Class Participant

    java.lang.Object
      com.skype.api.SkypeObject
          com.skype.api.Participant

    public class Participant

extends SkypeObject

Conversation participant class. Instances of this class represent contacts when in the context of conversations. Amongst others, this class has a Ring method for requesting live status with the target contact. This class also holds typing indicator property and access rights for the contact in context of public conversations.

Nested Class Summary
`static class` | `Participant.DTMF`
`static interface` | `Participant.ParticipantListener`
`static class` | `Participant.PROPERTY` Properties of the Participant class
`static class` | `Participant.RANK` Recognized values for the P_RANK property.
`static class` | `Participant.TEXT_STATUS` Recognized values for the P_TEXT_STATUS property.
`static class` | `Participant.VIDEO_STATUS` Recognized values for the P_VIDEO_STATUS property.
`static class` | `Participant.VOICE_STATUS` Recognized values for the P_VOICE_STATUS property.

Field Summary

Fields inherited from class com.skype.api.SkypeObject
`mObjectId, mPropCache, skype`

Constructor Summary
`Participant(int oid, Skype skype)`

Method Summary
`boolean` | `CanSetRankTo(Participant.RANK rank)` Checks whether the current user can set this Participant's conversation privileges to the specified RANK.
`byte[]` | `GetBinProperty(Participant.PROPERTY prop)`
`boolean` | `GetBooleanProperty(Participant.PROPERTY prop)`
`int` | `GetIntProperty(Participant.PROPERTY prop)`
`java.lang.Object` | `GetPropertyAsEnum(int propid)`
`java.lang.String` | `GetStrProperty(Participant.PROPERTY prop)`
`Video` | `GetVideo()` Retrieves a reference to the Video object that corresponds to the Participant.
`void` | `Hangup()` Removes this participant from the current live session.
`static int` | `moduleID()`
`void` | `Retire()` Forcibly removes this participant from conversation.
`void` | `Ring(java.lang.String identityToUse, boolean videoCall, int nrofRedials, int redialPeriod, boolean autoStartVM, java.lang.String origin)` Initiates live conversation attempt with Participant.
`void` | `RingIt()` Rings this participant, using P_LIVE_IDENTITY property if set.
`void` | `SetLiveIdentityToUse(java.lang.String identityToUse)` Sets LIVE_IDENTITY property, an alternate identity to use when ringing, such as a PSTN.
`void` | `SetRankTo(Participant.RANK rank)` Sets Participant's conversation privileges to the given RANK

Methods inherited from class com.skype.api.SkypeObject
`close, getOid`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Participant

    public Participant(int oid,
                       Skype skype)

Method Detail

### moduleID

    public static final int moduleID()

### GetPropertyAsEnum

    public java.lang.Object GetPropertyAsEnum(int propid)

  Specified by:
    `GetPropertyAsEnum` in class `SkypeObject`

### GetStrProperty

    public java.lang.String GetStrProperty(Participant.PROPERTY prop)

### GetIntProperty

    public int GetIntProperty(Participant.PROPERTY prop)

### GetBooleanProperty

    public boolean GetBooleanProperty(Participant.PROPERTY prop)

### GetBinProperty

    public byte[] GetBinProperty(Participant.PROPERTY prop)

### CanSetRankTo

    public boolean CanSetRankTo(Participant.RANK rank)

  Checks whether the current user can set this Participant's conversation privileges to the specified RANK. This enables you to gray out or disable in your UI all the unavailable options for Participant.SetRankTo method.

  Parameters:
    `rank` - Participant.RANK value to check for.
  Returns:
    result Returns true if local user can set participant's rank to the value given in rank argument.

### SetRankTo

    public void SetRankTo(Participant.RANK rank)

  Sets Participant's conversation privileges to the given RANK

  Parameters:
    `rank` - Target Participant.RANK value.

### Ring

    public void Ring(java.lang.String identityToUse,
                     boolean videoCall,
                     int nrofRedials,
                     int redialPeriod,
                     boolean autoStartVM,
                     java.lang.String origin)

  Initiates live conversation attempt with Participant.

  Parameters:
    `identityToUse` - Ring an alternate identity, such as a PSTN number.
    `videoCall` - Enable video.
    `nrofRedials` - Unused.
    `redialPeriod` - Unused.
    `autoStartVM` - Unused. On dialog, if falling on VM, greeting and recording will be automatically started.
    `origin` - When call is initiated from web link, must contain the URI that was used

### RingIt

    public void RingIt()

  Rings this participant, using P_LIVE_IDENTITY property if set.

### SetLiveIdentityToUse

    public void SetLiveIdentityToUse(java.lang.String identityToUse)

  Sets LIVE_IDENTITY property, an alternate identity to use when ringing, such as a PSTN.

  Parameters:
    `identityToUse` - Empty string will reset it to default, i.e IDENTITY property value

### GetVideo

    public Video GetVideo()

  Retrieves a reference to the Video object that corresponds to the Participant. It can be either local video - you can check if this participant's name (P_IDENTITY property) matches the name of the currently logged in account (P_SKYPENAME property) or incoming video from a remote participant.
  Note that for GetVideo to be successful, the video has to be available for that participant. This can be checked for by examining Participant VIDEO_STATUS property - once it becomes VIDEO_AVAILABLE - you can use GetVideo to obtain the Video object.

  Returns:
    video Returns reference to a constructed video object.

### Hangup

    public void Hangup()

  Removes this participant from the current live session. Note that this does not remove the participant from conversation (for this, use Participant.Retire). It only removes participant from live state.

### Retire

    public void Retire()

  Forcibly removes this participant from conversation. This method is for removing other people from conversations (for example: as administrative punishment for flooding conversation with spam messages). For local user to leave a conversation, use Conversation.RetireFrom instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.